Package picard.analysis

## Class CollectOxoGMetrics.CpcgMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.CollectOxoGMetrics.CpcgMetrics

- Enclosing class:
    CollectOxoGMetrics

      public static final class CollectOxoGMetrics.CpcgMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Metrics class for outputs.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `ALT_NONOXO_BASES` | The count of observed A basecalls at C reference positions and T basecalls at G reference bases that are correlated to instrument read number in a way that rules out oxidation as the cause
    `long` | `ALT_OXO_BASES` | The count of observed A basecalls at C reference positions and T basecalls at G reference bases that are correlated to instrument read number in a way that is consistent with oxidative damage.
    `long` | `C_REF_ALT_BASES` | The number of alt (A/T) basecalls observed at sites where the genome reference == C.
    `double` | `C_REF_OXO_ERROR_RATE` | The rate at which C>A and G>T substitutions are observed at C reference sites above the expected rate if there were no bias between sites with a C reference base vs.
    `double` | `C_REF_OXO_Q` | C_REF_OXO_ERROR_RATE expressed as a phred-scaled quality score.
    `long` | `C_REF_REF_BASES` | The number of ref basecalls observed at sites where the genome reference == C.
    `String` | `CONTEXT` | The sequence context being reported on.
    `long` | `G_REF_ALT_BASES` | The number of alt (A/T) basecalls observed at sites where the genome reference == G.
    `double` | `G_REF_OXO_ERROR_RATE` | The rate at which C>A and G>T substitutions are observed at G reference sites above the expected rate if there were no bias between sites with a C reference base vs.
    `double` | `G_REF_OXO_Q` | G_REF_OXO_ERROR_RATE expressed as a phred-scaled quality score.
    `long` | `G_REF_REF_BASES` | The number of ref basecalls observed at sites where the genome reference == G.
    `String` | `LIBRARY` | The name of the library being assayed.
    `double` | `OXIDATION_ERROR_RATE` | The oxo error rate, calculated as max(ALT_OXO_BASES - ALT_NONOXO_BASES, 1) / TOTAL_BASES
    `double` | `OXIDATION_Q` | -10 * log10(OXIDATION_ERROR_RATE)
    `long` | `REF_NONOXO_BASES` | The number of reference alleles observed as C in read 1 and G in read 2.
    `long` | `REF_OXO_BASES` | The number of reference alleles observed as G in read 1 and C in read 2.
    `long` | `REF_TOTAL_BASES` | The total number of reference alleles observed
    `String` | `SAMPLE_ALIAS` | The name of the sample being assayed.
    `long` | `TOTAL_BASES` | The total number of basecalls observed at all sites.
    `int` | `TOTAL_SITES` | The total number of sites that had at least one base covering them.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CpcgMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SAMPLE_ALIAS

          public String SAMPLE_ALIAS

      The name of the sample being assayed.

    - #### LIBRARY

          public String LIBRARY

      The name of the library being assayed.

    - #### CONTEXT

          public String CONTEXT

      The sequence context being reported on.

    - #### TOTAL_SITES

          public int TOTAL_SITES

      The total number of sites that had at least one base covering them.

    - #### TOTAL_BASES

          public long TOTAL_BASES

      The total number of basecalls observed at all sites.

    - #### REF_NONOXO_BASES

          public long REF_NONOXO_BASES

      The number of reference alleles observed as C in read 1 and G in read 2.

    - #### REF_OXO_BASES

          public long REF_OXO_BASES

      The number of reference alleles observed as G in read 1 and C in read 2.

    - #### REF_TOTAL_BASES

          public long REF_TOTAL_BASES

      The total number of reference alleles observed

    - #### ALT_NONOXO_BASES

          public long ALT_NONOXO_BASES

      The count of observed A basecalls at C reference positions and T basecalls at G reference bases that are correlated to instrument read number in a way that rules out oxidation as the cause

    - #### ALT_OXO_BASES

          public long ALT_OXO_BASES

      The count of observed A basecalls at C reference positions and T basecalls at G reference bases that are correlated to instrument read number in a way that is consistent with oxidative damage.

    - #### OXIDATION_ERROR_RATE

          public double OXIDATION_ERROR_RATE

      The oxo error rate, calculated as max(ALT_OXO_BASES - ALT_NONOXO_BASES, 1) / TOTAL_BASES

    - #### OXIDATION_Q

          public double OXIDATION_Q

      -10 * log10(OXIDATION_ERROR_RATE)

    - #### C_REF_REF_BASES

          public long C_REF_REF_BASES

      The number of ref basecalls observed at sites where the genome reference == C.

    - #### G_REF_REF_BASES

          public long G_REF_REF_BASES

      The number of ref basecalls observed at sites where the genome reference == G.

    - #### C_REF_ALT_BASES

          public long C_REF_ALT_BASES

      The number of alt (A/T) basecalls observed at sites where the genome reference == C.

    - #### G_REF_ALT_BASES

          public long G_REF_ALT_BASES

      The number of alt (A/T) basecalls observed at sites where the genome reference == G.

    - #### C_REF_OXO_ERROR_RATE

          public double C_REF_OXO_ERROR_RATE

      The rate at which C>A and G>T substitutions are observed at C reference sites above the expected rate if there were no bias between sites with a C reference base vs. a G reference base.

    - #### C_REF_OXO_Q

          public double C_REF_OXO_Q

      C_REF_OXO_ERROR_RATE expressed as a phred-scaled quality score.

    - #### G_REF_OXO_ERROR_RATE

          public double G_REF_OXO_ERROR_RATE

      The rate at which C>A and G>T substitutions are observed at G reference sites above the expected rate if there were no bias between sites with a C reference base vs. a G reference base.

    - #### G_REF_OXO_Q

          public double G_REF_OXO_Q

      G_REF_OXO_ERROR_RATE expressed as a phred-scaled quality score.

  - ### Constructor Detail

    - #### CpcgMetrics

          public CpcgMetrics()